%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           evolution-python
Version:        0.0.4
Release:        2%{?dist}
Summary:        Python bindings for manipulating evolution data

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.conduit-project.org
Source0:        http://files.conduit-project.org/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, pygtk2-devel, evolution-data-server-devel
BuildRequires:  pango-devel, gtk2-devel
Requires:       pkgconfig

%description
Python bindings for manipulating evolution data.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name \*\.la -print | xargs rm -f


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{python_sitearch}/gtk-2.0/evolution
%{_datadir}/%{name}
%doc COPYING test



%changelog
* Tue Nov 13 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.0.4-2
- run find on correct directory to remove .la files
- use macros in source url

* Mon Nov 12 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.0.4-1
- v. 0.0.4
